<div id="projectsContainer" class="p-3">
  <ng-container *ngFor="let project of currentProjects">
    <div class="project-container" (mouseleave)="closeDevMenu(project)">
      <div class="project-info-container"
           (click)="toggleProjectDetails(project)"
           [style.backgroundColor]="project.deadlineCountdown < 12 ? '#ff1a004a' : project.deadlineCountdown < 24 ? '#f2ff004a' : 'transparent'">
        <div class="dev-btn" (click)="toggleDevelopersMenu($event, project)">
          <span>{{project.workersIds?.length}} 👨‍💻</span>
        </div>
        <div class="project-name">
          <span>{{project.name}}</span>
        </div>
        <div class="project-name">
          <span class="mr-2 deadline-countdown"
                title="Deadline Countdown">⌛ <small>{{project.deadlineCountdown}}</small></span>
          <span class="mr-2" title="reward">💰 <small>+{{project.reward}} €</small></span>
        </div>
        <div class="progress">
          <div class="progress-bar bg-primary" role="progressbar" [style.width.%]="project.progressStatus"></div>
        </div>
      </div>
      <div *ngIf="project.showDevelopers" class="developers-menu-container" (click)="closeDevMenu(project)">
        <div [style.opacity]="availableDevelopers.length > 0 ? 1: 0.5">💼 Assign free developer</div>
        <div *ngFor="let developer of availableDevelopers" class="menu-option"
             (click)="handleAssignDeveloper(developer, project)">
          <div class="ml-4">
            <span class="mr-2" [title]="developer.happinessIcon">{{developer.happinessIcon}}</span>
            <span>{{developer.name}}</span>
          </div>
        </div>
      </div>
      <div *ngIf="project.showDetails" class="skill-info-container"
           [style.backgroundColor]="project.deadlineCountdown < 12 ? '#ff1a004a' : project.deadlineCountdown < 24 ? '#f2ff004a' : 'transparent'">
        <div class="bar-container">
          <div *ngFor="let skill of project.skillsRequiredComparation; let i = index; let l= last">
            <small class="m-1"><b>{{skill.skill}}</b> {{skill.points}}%</small>
          </div>
        </div>
      </div>
      <!--    <app-tasks-view [tasks]="project.tasks" [showDetails]="!!project.showDetails"></app-tasks-view>-->
    </div>
  </ng-container>
</div>
